#procedure Flipj(i)
****************************************************************************
**
**  Filename:
**            Flipj.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Reverses the direction of summation. The argument specifies 
**            the index $i$ of the sum to be flipped.
**
**  Comments:
**            This procedure is a modified version of a similiar procedure 
**            in the Summer package written by J.A.M. Vermaseren.
**
**  Revision: 
**            $Id: Flipj.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: Flipj.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
id  sum`i'(j`i',x1?,x2?) = sum`i'(0,x2-x1)*replace_(j`i',x2-j`i');
id  sum`i'(x1?,x2?) = sum`i'(j`i',x1,x2);
*
*   The special functions have to be redone
*
id  f?{den`i',fac`i',invfac`i'}(x1?,x2?) = f(x1+x2);
id  S`i'(R(?m),X(?x1),x2?,x3?) = S`i'(R(?m),X(?x1),x2+x3);
id  pow`i'(x1?,x2?,x3?) = pow`i'(x1,x2+x3);
SplitArg,(j`i'),den`i',fac`i',invfac`i',S`i',pow`i';
id  f?{den`i',fac`i',invfac`i'}(x2?) = f(0,x2);
id  S`i'(R(?m),X(?x1),x2?) = S`i'(R(?m),X(?x1),0,x2);
id pow`i'(x1?,j`i')  = pow`i'(x1,j`i');
id pow`i'(x1?,-j`i') = pow`i'(1/x1,j`i');
id pow`i'(x1?,n1?,j`i')  = pow(x1,n1) * pow`i'(x1,j`i');
id pow`i'(x1?,n1?,-j`i') = pow(x1,n1) * pow`i'(1/x1,j`i');
repeat id pow(x?,n1?)*pow(x?,n2?) = pow(x,n1+n2);
repeat id pow`i'(x1?,j`i') * pow`i'(x2?,j`i') = pow`i'(x1*x2,j`i');
*
#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
