#procedure SubsS(mi)
****************************************************************************
**
**  Filename:
**            SubsS.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Evaluates \keyword{S} functions with a numerical last argument 
**            into polynomials in the variables (if possible, with numerical 
**            values). For argument $i=0$ only numerical values are realized;
**            for $i=1$ the procedure also expands polynomials. 
**            \keyword{S} functions with symbolic last argument are untouched, 
**            of course. 
**
**  Comments:
**            Adapted from routine by J.A.M. Vermaseren.
**            All operations are done in the arguments to ensure continuous
**            sorting. If this would not be done, there would be many terms.
**
**  Revision: 
**            $Id: SubsS.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: SubsS.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
#if `mi' == 0
id  S(R(?a),X(?x),1) = acc1(S(R(?a),X(?x),1));
id  S(R(?a),X(n1?pos0_),n?pos_) = acc1(S(R(?a),X(n1),n));
#do mii = 2,10
id  S(R(?a),X(<n1?pos0_>,...,<n`mii'?pos0_>),n?pos_) 
	= acc1(S(R(?a),X(<n1>,...,<n`mii'>),n));
#enddo
#else
id  S(R(?a),X(?x),n?pos_) = acc1(S(R(?a),X(?x),n));
#endif
id  S(R(?a),X(?x),n?neg0_) = 0;
repeat;
    argument acc1;
        id  S(R(m?pos0_,?a),X(x?,?x1),n?) = 
           sum_(jjj,1,n,S(R(?a),X(?x1),jjj)/jjj^m*pow(x,jjj));
        id  S(R,X,n?) = 1;
    endargument;
endrepeat;
id  acc1(x?) = x;
id  x?^n0?*pow(x?,n1?) = pow(x,n0+n1);
id  pow(x?,n0?pos0_) = x^n0;
id  pow(x?,n0?neg_) = den(x)^(-n0);
#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
