#procedure SumPosPow(i)
****************************************************************************
**
**  Filename:
**            SumPosPow.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Sums positive (or zero) powers of $j_i$ possibly in combination
**            with one \keyword{S} or \keyword{pow} function. The argument 
**            specifies the index $i$ of the sum to be done.
**
**  Comments:
**
**
**  Revision: 
**            $Id: SumPosPow.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: SumPosPow.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
repeat;
  if ( count(S`i',1) == 1 );
    if ( count(j`i',1) < 0 );
      if ( count(pow`i',1) );
        id  sum`i'(j`i',x1?,x2?)/j`i'^n?*pow`i'(y1?,j`i')*
          S`i'(R(?a),X(?y),0,j`i') =
          (S(R(n,?a),X(y1,?y),x2)-S(R(n,?a),X(y1,?y),x1-1));
      else;
        id  sum`i'(j`i',x1?,x2?)/j`i'^n?*S`i'(R(?a),X(?y),x3?,j`i') =
          S(R(n,?a),X(1,?y),x2)-S(R(n,?a),X(1,?y),x1-1);
      endif;
    else;
      if ( count(pow`i',1) );
      	id  sum`i'(j`i',n0?{0,1},n1?)*pow`i'(y1?,j`i')*j`i'^k?pos0_*
		S`i'(R(n2?,?a),X(x1?,?x),0,j`i') = S(R(n2,?a),X(x1,?x),n1)*xpowsum(k,y1,n1)
		-sum`i'(j`i',1,n1)*S`i'(R(?a),X(?x),0,j`i')*
			xpowsum1(k,y1,j`i')*pow`i'(x1,j`i')/j`i'^n2;
      else;
      	id  sum`i'(j`i',n0?{0,1},n1?)*j`i'^k?pos0_*
		S`i'(R(n2?,?a),X(x1?,?x),0,j`i') = S(R(n2,?a),X(x1,?x),n1)*powsum(k,n1)
		-sum`i'(j`i',1,n1)*S`i'(R(?a),X(?x),0,j`i')*
			powsum1(k,y1,j`i')*pow`i'(x1,j`i')/j`i'^n2;
      endif;
    endif;
  elseif( count(S`i',1) == 0 );
    if ( count(j`i',1) < 0 );
      if ( count(pow`i',1) );
        id  sum`i'(j`i',x1?,x2?)/j`i'^n?*pow`i'(y1?,j`i') =
          S(R(n),X(y1),x2)-S(R(n),X(y1),x1-1);
      else;
        id  sum`i'(j`i',x1?,x2?)/j`i'^n? = S(R(n),X(1),x2)-S(R(n),X(1),x1-1);
      endif;
    else;
      if ( count(pow`i',1) );
        id  sum`i'(j`i',x1?,x2?)*pow`i'(y1?,j`i')*j`i'^k?pos0_ = xpowsum(k,y1,x2)-xpowsum1(k,y1,x1);
      else;
        id  sum`i'(j`i',x1?,x2?)*j`i'^k?pos0_ = powsum(k,x2)-powsum1(k,x1);
      endif;
    endif;
  endif;

  id pow(x?,j`i') = pow`i'(x,j`i');
  repeat id pow`i'(x1?,j`i')*pow`i'(y1?,j`i') = pow`i'(x1*y1,j`i');
  id pow`i'(0,x?) = 0;
  id pow`i'(1,x?) = 1;
  id pow`i'(x?,0) = 1;
  id S`i'(R,X,0,j`i') = 1;

endrepeat;
#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
