#procedure SynchDenS(i)
****************************************************************************
**
**  Filename:
**            SynchDenS.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Synchronizes combinations of \keyword{den} and \keyword{S}  
**            functions, i.e. denominators and $S$-sums.
**            The argument specifies the associated summation index $i$.
**
**  Comments:
**
**
**  Revision: 
**            $Id: SynchDenS.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: SynchDenS.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
repeat;
    if ( count(SS,1) == 0 );
        id,once,S`i'(R(?a),X(?x),x1?!{x2?},j`i')*den`i'(x2?!{x1?},j`i') =
            SS(R(?a),X(?x),x1,x2,x1-x2,1);
        if ( match(SS(?a,n?int_,1)) == 0 );
            id  SS(?a,x1?,x2?,x3?,1) = X(?a,x1,j`i')*den`i'(x2,j`i');
        endif;
    endif;
endrepeat;
id  X(?a) = S`i'(?a);
if ( match(SS(?a,n?int_,1)) );
    repeat id SS(?a,x2?,x3?,n?)*den`i'(x2?,j`i') = SS(?a,x2,x3,n+1);
    repeat;
        id  SS(R(m1?,?a),X(y1?,?y),x1?,x2?,-1,n2?) =
            +S`i'(R(m1,?a),X(y1,?y),x2,j`i')*(den`i'(x2,j`i'))^n2
            -S`i'(R(?a),X(?y),x2,j`i')*pow`i'(y1,x2,j`i')*
			(den`i'(x2,j`i'))^m1*(den`i'(x2,j`i'))^n2;

        id  SS(R(?a),X(?x),x1?,x2?,0,n2?) = S`i'(R(?a),X(?x),x1,j`i')*(den`i'(x2,j`i'))^n2;
        id  SS(R,X,x1?,x2?,x3?,n1?) = (den`i'(x2,j`i'))^n1;

        id  SS(R(m1?,?a),X(y1?,?y),x1?,x2?,x3?pos_,n2?) =
            +SS(R(m1,?a),X(y1,?y),x1-1,x2,x3-1,n2)
            +pow`i'(y1,x1,j`i')*sum_(jjj,1,n2,sign_(n2-jjj)*binom_(m1+n2-1-jjj,m1-1)
                    /x3^(m1+n2-jjj)*SS(R(?a),X(?y),x1,x2,x3,jjj))
            +pow`i'(y1,x1,j`i')*sum_(jjj,1,m1,sign_(n2)*binom_(m1+n2-1-jjj,n2-1)
                    /x3^(m1+n2-jjj)*(den`i'(x1,j`i'))^jjj*S`i'(R(?a),X(?y),x1,j`i'));

        id  SS(R(m1?,?a),X(y1?,?y),x1?,x2?,x3?neg_,n2?) =
            +SS(R(m1,?a),X(y1,?y),x1+1,x2,x3+1,n2)
            -pow`i'(y1,x1+1,j`i')*sum_(jjj,1,n2,sign_(n2-jjj)*binom_(m1+n2-1-jjj,m1-1)
                    /(x3+1)^(m1+n2-jjj)*SS(R(?a),X(?y),x1+1,x2,x3+1,jjj))
            -pow`i'(y1,x1+1,j`i')*sum_(jjj,1,m1,sign_(n2)*binom_(m1+n2-1-jjj,n2-1)
                    /(x3+1)^(m1+n2-jjj)*(den`i'(x1+1,j`i'))^jjj*S`i'(R(?a),X(?y),x1+1,j`i'));
        endrepeat;
    id  S`i'(R,X,n?,j`i') = 1;
    id pow`i'(y1?,x1?,j`i') =  pow(y1,x1) * pow`i'(y1,j`i');
endif;

#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
