#procedure tables(size)
*
*   Tables of harmonic series at infinity.
*   Note that the definition of these series is slightly different from
*   what are called Euler/Zagier sums.
*   Notation for the tables:
*   A zero index means that one should be added to the absolute value
*   of the next index. The argument is inf (infinity).
*   Example: S(0,-1,0,0,2,1) = S(R(-2,3,1),inf)
*   The various weights are in separate files.
*   This makes that FORM will not even touch the table7.prc file if
*   size < 7. That saves much time.
*   File by J. Vermaseren, 5-jun-1998
*
#do itabs = 1,`size'
#ifndef `STABLE`itabs'HFILE'
#call table`itabs'
#endif
#enddo
#endprocedure
